Retail Express API 2.1

Deletes Supplier by id

Deletes Supplier by id

delete
https://api.retailexpress.com.au/v2/suppliers/{id}

Path Parameters

idinteger(int32)required

Supplier id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Supplier deleted

delete/suppliers/{id}
 

token

Acquires token

Acquires token

get
https://api.retailexpress.com.au/v2/auth/token

Headers

x-api-keystringrequired

Subscription key.

Response

200

Returns authentication result

get/auth/token
 
200

vouchers

Searches Vouchers by parameters

Searches Vouchers by parameters

get
https://api.retailexpress.com.au/v2/vouchers

Query Parameters

order_bystring | null

Order by.

Available field name values: id, code, voucher_type, balance, created_on, expires_on, initial_value

Available direction values: asc, desc.

Example: id asc, voucher_type desc

filter_bystring | null

Filter by.

Available field name values: code, voucher_type_id, initial_value, balance, created_on, expires_on, order_id, order_number, customer_id, customer_number, customer_email

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_number1|order_number2

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Vouchers data

Voucher.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/vouchers
 
application/json